Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeImagesRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DescribeImagesRequest

    public class DescribeImagesRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeImages operation`.

The DescribeImages operation returns information about AMIs, AKIs, and ARIs available to the user. Information returned includes image type, product codes, architecture, and kernel and RAM disk IDs. Images available to the user include public images available for any user to launch, private images owned by the user making the request, and private images owned by other users for which the user has explicit launch permissions.

Launch permissions fall into three categories:

- Public: The owner of the AMI granted launch permissions for the AMI to the all group. All users have launch permissions for these AMIs.
- Explicit: The owner of the AMI granted launch permissions to a specific user.
- Implicit: A user has implicit launch permissions for all AMIs he or she owns.

The list of AMIs returned can be modified by specifying AMI IDs, AMI owners, or users with launch permissions. If no options are specified, Amazon EC2 returns all AMIs for which the user has launch permissions.

If you specify one or more AMI IDs, only AMIs that have the specified IDs are returned. If you specify an invalid AMI ID, a fault is returned. If you specify an AMI ID for which you do not have access, it will not be included in the returned results.

If you specify one or more AMI owners, only AMIs from the specified owners and for which you have access are returned. The results can include the account IDs of the specified owners, amazon for AMIs owned by Amazon or self for AMIs that you own.

If you specify a list of executable users, only users that have launch permissions for the AMIs are returned. You can specify account IDs (if you own the AMI(s)), self for AMIs for which you own or have explicit permissions, or all for public AMIs.

NOTE: Deregistered images are included in the returned results for an unspecified interval after deregistration.

See Also:
  `AmazonEC2.describeImages(DescribeImagesRequest)`

Constructor Summary
`DescribeImagesRequest()`

Method Summary
`List<String>` | `getExecutableUsers()` The optional list of users with explicit launch permissions for the described AMIs.
`List<String>` | `getImageIds()` An optional list of the AMI IDs to describe.
`List<String>` | `getOwners()` The optional list of owners for the described AMIs.
`void` | `setExecutableUsers(Collection<String> executableUsers)` The optional list of users with explicit launch permissions for the described AMIs.
`void` | `setImageIds(Collection<String> imageIds)` An optional list of the AMI IDs to describe.
`void` | `setOwners(Collection<String> owners)` The optional list of owners for the described AMIs.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeImagesRequest` | `withExecutableUsers(Collection<String> executableUsers)` The optional list of users with explicit launch permissions for the described AMIs.
`DescribeImagesRequest` | `withExecutableUsers(String... executableUsers)` The optional list of users with explicit launch permissions for the described AMIs.
`DescribeImagesRequest` | `withImageIds(Collection<String> imageIds)` An optional list of the AMI IDs to describe.
`DescribeImagesRequest` | `withImageIds(String... imageIds)` An optional list of the AMI IDs to describe.
`DescribeImagesRequest` | `withOwners(Collection<String> owners)` The optional list of owners for the described AMIs.
`DescribeImagesRequest` | `withOwners(String... owners)` The optional list of owners for the described AMIs.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeImagesRequest

    public DescribeImagesRequest()

Method Detail

### getImageIds

    public List<String> getImageIds()

  An optional list of the AMI IDs to describe. If not specified, all AMIs will be described.

  Returns:
    An optional list of the AMI IDs to describe. If not specified, all AMIs will be described.

### setImageIds

    public void setImageIds(Collection<String> imageIds)

  An optional list of the AMI IDs to describe. If not specified, all AMIs will be described.

  Parameters:
    `imageIds` - An optional list of the AMI IDs to describe. If not specified, all AMIs will be described.

### withImageIds

    public DescribeImagesRequest withImageIds(String... imageIds)

  An optional list of the AMI IDs to describe. If not specified, all AMIs will be described.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `imageIds` - An optional list of the AMI IDs to describe. If not specified, all AMIs will be described.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withImageIds

    public DescribeImagesRequest withImageIds(Collection<String> imageIds)

  An optional list of the AMI IDs to describe. If not specified, all AMIs will be described.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `imageIds` - An optional list of the AMI IDs to describe. If not specified, all AMIs will be described.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getOwners

    public List<String> getOwners()

  The optional list of owners for the described AMIs. The IDs amazon, self, and explicit can be used to include AMIs owned by Amazon, AMIs owned by the user, and AMIs for which the user has explicit launch permissions, respectively.

  Returns:
    The optional list of owners for the described AMIs. The IDs amazon, self, and explicit can be used to include AMIs owned by Amazon, AMIs owned by the user, and AMIs for which the user has explicit launch permissions, respectively.

### setOwners

    public void setOwners(Collection<String> owners)

  The optional list of owners for the described AMIs. The IDs amazon, self, and explicit can be used to include AMIs owned by Amazon, AMIs owned by the user, and AMIs for which the user has explicit launch permissions, respectively.

  Parameters:
    `owners` - The optional list of owners for the described AMIs. The IDs amazon, self, and explicit can be used to include AMIs owned by Amazon, AMIs owned by the user, and AMIs for which the user has explicit launch permissions, respectively.

### withOwners

    public DescribeImagesRequest withOwners(String... owners)

  The optional list of owners for the described AMIs. The IDs amazon, self, and explicit can be used to include AMIs owned by Amazon, AMIs owned by the user, and AMIs for which the user has explicit launch permissions, respectively.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `owners` - The optional list of owners for the described AMIs. The IDs amazon, self, and explicit can be used to include AMIs owned by Amazon, AMIs owned by the user, and AMIs for which the user has explicit launch permissions, respectively.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withOwners

    public DescribeImagesRequest withOwners(Collection<String> owners)

  The optional list of owners for the described AMIs. The IDs amazon, self, and explicit can be used to include AMIs owned by Amazon, AMIs owned by the user, and AMIs for which the user has explicit launch permissions, respectively.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `owners` - The optional list of owners for the described AMIs. The IDs amazon, self, and explicit can be used to include AMIs owned by Amazon, AMIs owned by the user, and AMIs for which the user has explicit launch permissions, respectively.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getExecutableUsers

    public List<String> getExecutableUsers()

  The optional list of users with explicit launch permissions for the described AMIs. The user ID can be a user's account ID, 'self' to return AMIs for which the sender of the request has explicit launch permissions, or 'all' to return AMIs with public launch permissions.

  Returns:
    The optional list of users with explicit launch permissions for the described AMIs. The user ID can be a user's account ID, 'self' to return AMIs for which the sender of the request has explicit launch permissions, or 'all' to return AMIs with public launch permissions.

### setExecutableUsers

    public void setExecutableUsers(Collection<String> executableUsers)

  The optional list of users with explicit launch permissions for the described AMIs. The user ID can be a user's account ID, 'self' to return AMIs for which the sender of the request has explicit launch permissions, or 'all' to return AMIs with public launch permissions.

  Parameters:
    `executableUsers` - The optional list of users with explicit launch permissions for the described AMIs. The user ID can be a user's account ID, 'self' to return AMIs for which the sender of the request has explicit launch permissions, or 'all' to return AMIs with public launch permissions.

### withExecutableUsers

    public DescribeImagesRequest withExecutableUsers(String... executableUsers)

  The optional list of users with explicit launch permissions for the described AMIs. The user ID can be a user's account ID, 'self' to return AMIs for which the sender of the request has explicit launch permissions, or 'all' to return AMIs with public launch permissions.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `executableUsers` - The optional list of users with explicit launch permissions for the described AMIs. The user ID can be a user's account ID, 'self' to return AMIs for which the sender of the request has explicit launch permissions, or 'all' to return AMIs with public launch permissions.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withExecutableUsers

    public DescribeImagesRequest withExecutableUsers(Collection<String> executableUsers)

  The optional list of users with explicit launch permissions for the described AMIs. The user ID can be a user's account ID, 'self' to return AMIs for which the sender of the request has explicit launch permissions, or 'all' to return AMIs with public launch permissions.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `executableUsers` - The optional list of users with explicit launch permissions for the described AMIs. The user ID can be a user's account ID, 'self' to return AMIs for which the sender of the request has explicit launch permissions, or 'all' to return AMIs with public launch permissions.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.